clear all
close all
clc
global x; global y; global V;
global xU; global yU; global sU; global vU
global xL; global yL; global sL; global vL

Option=input('input 1 for circle or 2 for KTJ airfoil = ');
Voo = 1; %input('Input free stream velocity = ');
N = 50;  %input('Input number of points = ');

if Option==1
    R = 1;    
    [x,y,V] = DAIRE(N,Voo,R);
elseif Option==2
    Chord = 1;
    F = 0.03397;
    G = 0.21390;
    m = 1.92107;
    AlfaD = input('Input angle of attack = ');
    [x,y,V] = KATJO(N,Voo,Chord,F,G,m,AlfaD);
end

figure; plot(x, y); axis equal
figure; plot(x, V);

[nU,xU,yU,sU,vU,nL,xL,yL,sL,vL] = BLcoords(N,x,y,V);

figure; plot(sL,vL)
figure; plot(sU,vU)
